<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>SQLStateConstants (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SQLStateConstants (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/QuoteStrategy.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/StoredProcedureMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/SQLStateConstants.html" target="_top">Frames</a></li>
<li><a href="SQLStateConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class SQLStateConstants" class="title">Class SQLStateConstants</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.SQLStateConstants</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">SQLStateConstants</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Constants with common SQLState values.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_COMM_LINK_FAILURE">SQL_STATE_COMM_LINK_FAILURE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_CONNECTION_CLOSED">SQL_STATE_CONNECTION_CLOSED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_CONNECTION_ERROR">SQL_STATE_CONNECTION_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_CONNECTION_FAILURE">SQL_STATE_CONNECTION_FAILURE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_CONNECTION_FAILURE_IN_TX">SQL_STATE_CONNECTION_FAILURE_IN_TX</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_FEATURE_NOT_SUPPORTED">SQL_STATE_FEATURE_NOT_SUPPORTED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_GENERAL_ERROR">SQL_STATE_GENERAL_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_ARG_VALUE">SQL_STATE_INVALID_ARG_VALUE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_COLUMN">SQL_STATE_INVALID_COLUMN</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_CONN_ATTR">SQL_STATE_INVALID_CONN_ATTR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_CONVERSION">SQL_STATE_INVALID_CONVERSION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_ESCAPE_SEQ">SQL_STATE_INVALID_ESCAPE_SEQ</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_OPTION_IDENTIFIER">SQL_STATE_INVALID_OPTION_IDENTIFIER</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_PARAM_TYPE">SQL_STATE_INVALID_PARAM_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_STATEMENT_ID">SQL_STATE_INVALID_STATEMENT_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_STMT_TYPE">SQL_STATE_INVALID_STMT_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_TRANSACTION_STATE">SQL_STATE_INVALID_TRANSACTION_STATE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_INVALID_TX_STATE">SQL_STATE_INVALID_TX_STATE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_NO_RESULT_SET">SQL_STATE_NO_RESULT_SET</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_NO_ROW_AVAIL">SQL_STATE_NO_ROW_AVAIL</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_SYNTAX_ERROR">SQL_STATE_SYNTAX_ERROR</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_TRANSACTION_ACTIVE">SQL_STATE_TRANSACTION_ACTIVE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_TRANSACTION_ROLLED_BACK">SQL_STATE_TRANSACTION_ROLLED_BACK</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_WARNING">SQL_STATE_WARNING</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/SQLStateConstants.html#SQL_STATE_WRONG_PARAM_NUM">SQL_STATE_WRONG_PARAM_NUM</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SQL_STATE_WARNING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_WARNING</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_WARNING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_WARNING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_CONN_ATTR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_CONN_ATTR</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_CONN_ATTR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_CONN_ATTR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_NO_ROW_AVAIL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_NO_ROW_AVAIL</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_NO_ROW_AVAIL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_NO_ROW_AVAIL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_FEATURE_NOT_SUPPORTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_FEATURE_NOT_SUPPORTED</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_FEATURE_NOT_SUPPORTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_FEATURE_NOT_SUPPORTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_GENERAL_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_GENERAL_ERROR</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_GENERAL_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_GENERAL_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_COLUMN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_COLUMN</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_COLUMN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_COLUMN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_ARG_VALUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_ARG_VALUE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_ARG_VALUE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_ARG_VALUE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_OPTION_IDENTIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_OPTION_IDENTIFIER</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_OPTION_IDENTIFIER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_OPTION_IDENTIFIER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_PARAM_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_PARAM_TYPE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_PARAM_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_PARAM_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_WRONG_PARAM_NUM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_WRONG_PARAM_NUM</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_WRONG_PARAM_NUM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_WRONG_PARAM_NUM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_STMT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_STMT_TYPE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_STMT_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_STMT_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_NO_RESULT_SET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_NO_RESULT_SET</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_NO_RESULT_SET</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_NO_RESULT_SET">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_CONVERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_CONVERSION</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_CONVERSION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_CONVERSION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_TX_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_TX_STATE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_TX_STATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_TX_STATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_TRANSACTION_STATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_TRANSACTION_STATE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_TRANSACTION_STATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_TRANSACTION_STATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_TRANSACTION_ACTIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_TRANSACTION_ACTIVE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_TRANSACTION_ACTIVE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_TRANSACTION_ACTIVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_TRANSACTION_ROLLED_BACK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_TRANSACTION_ROLLED_BACK</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_TRANSACTION_ROLLED_BACK</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_TRANSACTION_ROLLED_BACK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_STATEMENT_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_INVALID_STATEMENT_ID</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_STATEMENT_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_STATEMENT_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_CONNECTION_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_CONNECTION_ERROR</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_CONNECTION_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_CONNECTION_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_CONNECTION_CLOSED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_CONNECTION_CLOSED</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_CONNECTION_CLOSED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_CONNECTION_CLOSED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_CONNECTION_FAILURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_CONNECTION_FAILURE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_CONNECTION_FAILURE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_CONNECTION_FAILURE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_CONNECTION_FAILURE_IN_TX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_CONNECTION_FAILURE_IN_TX</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_CONNECTION_FAILURE_IN_TX</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_CONNECTION_FAILURE_IN_TX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_COMM_LINK_FAILURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_COMM_LINK_FAILURE</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_COMM_LINK_FAILURE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_COMM_LINK_FAILURE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_SYNTAX_ERROR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_STATE_SYNTAX_ERROR</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_SYNTAX_ERROR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_SYNTAX_ERROR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_STATE_INVALID_ESCAPE_SEQ">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SQL_STATE_INVALID_ESCAPE_SEQ</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_STATE_INVALID_ESCAPE_SEQ</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.SQLStateConstants.SQL_STATE_INVALID_ESCAPE_SEQ">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/QuoteStrategy.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/StoredProcedureMetaData.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/SQLStateConstants.html" target="_top">Frames</a></li>
<li><a href="SQLStateConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
